---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  annotations:
    include.release.openshift.io/self-managed-high-availability: "true"
  creationTimestamp: "2022-03-08T10:39:22Z"
  generation: 1
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:include.release.openshift.io/self-managed-high-availability: {}
      f:spec:
        .: {}
        f:endpoints: {}
        f:jobLabel: {}
        f:namespaceSelector:
          .: {}
          f:matchNames: {}
        f:selector:
          .: {}
          f:matchLabels: {}
    manager: cluster-version-operator
    operation: Update
    time: "2022-03-08T10:39:22Z"
  name: openshift-apiserver-operator-check-endpoints
  namespace: openshift-apiserver
  resourceVersion: "8400"
  selfLink: /apis/monitoring.coreos.com/v1/namespaces/openshift-apiserver/servicemonitors/openshift-apiserver-operator-check-endpoints
  uid: ce8b1ccd-7c9f-4632-8710-90c42c5a79a4
spec:
  endpoints:
  - bearerTokenFile: /var/run/secrets/kubernetes.io/serviceaccount/token
    interval: 30s
    port: check-endpoints
    scheme: https
    tlsConfig:
      insecureSkipVerify: true
  jobLabel: component
  namespaceSelector:
    matchNames:
    - openshift-apiserver
  selector:
    matchLabels: {}
